Bug 427738 - Review Request: dropbear - SSH2 server and client
Review Request: dropbear - SSH2 server and client
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-01-07 06:04 EST by Lennert Buytenhek
Modified: 2014-02-20 08:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-10 22:24:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Lennert Buytenhek 2008-01-07 06:04:29 EST
Spec URL: http://www.wantstofly.org/~buytenh/fedora-packages/dropbear.spec

SRPM URL: http://www.wantstofly.org/~buytenh/fedora-packages/dropbear-0.50-1.src.rpm

Dropbear is a relatively small SSH 2 server and client.  Dropbear
is particularly useful for "embedded"-type Linux (or other Unix)
systems, such as wireless routers.

This is my first package.  I am looking for a sponsor.
Comment 1 Tom "spot" Callaway 2008-01-07 10:34:39 EST
Taking this one.
Comment 2 Tom "spot" Callaway 2008-01-07 10:57:27 EST
Only problems that I see:

- Please put the full URL path to the Sources (where possible).

- dropbear.src: W: strange-permission dropbear.init 0755

Should be easy enough to fix, just make sure the perms are -x on that file
before making the SRPM.

- dropbear.x86_64: W: file-not-utf8 /usr/share/doc/dropbear-0.50/CHANGES

Just add these lines in %setup:

# convert to UTF-8
iconv -f iso-8859-1 -t utf-8 -o CHANGES{.utf8,}
mv CHANGES{.utf8,}

- dropbear.x86_64: W: service-default-enabled /etc/rc.d/init.d/dropbear
  dropbear.x86_64: W: no-reload-entry /etc/rc.d/init.d/dropbear

Do you intend for this service to be enabled by default? Also, since the init
file is custom, please add the reload function. It can be as simple as calling
"stop, start".
Comment 3 Lennert Buytenhek 2008-01-10 11:07:21 EST
Thank you for the review.  I have uploaded 0.50-2 (which incorporates
all your review comments) to:


I hope I've fixed everything in this version.
Comment 4 Tom "spot" Callaway 2008-01-14 14:26:27 EST

- rpmlint checks return:

dropbear.src:81: W: macro-in-%changelog setup
dropbear.src: W: mixed-use-of-spaces-and-tabs (spaces: line 82, tab: line 1)

Both of these are trivial, but you really shouldn't use macros in %changelog,
because rpm will try to evaluate them. Safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, matches source 
- spec file legible, in am. english
- source matches upstream (97f31bbe1d36f156ec895de97ecc1d400da5f0e5)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED. Go ahead and request sponsorship, as described here:
Comment 5 Lennert Buytenhek 2008-01-14 16:17:48 EST
New Package CVS Request
Package Name: dropbear
Short Description: SSH2 server and client
Owners: buytenh
Branches: F-8
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-01-14 16:49:40 EST
cvs done.
Comment 7 Lubomir Kundrak 2008-03-08 05:19:15 EST
I would like to see this in EPEL.
Lennert: I'd be happy if you could maintain it; would you?
Comment 8 Lennert Buytenhek 2008-03-08 05:33:13 EST
Package Change Request
Package Name: dropbear
New Branches: EL-4 EL-5
Comment 9 Kevin Fenzi 2008-03-08 14:34:43 EST
cvs done.
Comment 10 Christopher Meng 2014-02-20 01:52:04 EST
Package Change Request
Package Name: dropbear
New Branches: epel7
Owners: buytenh cicku itamarjp
Comment 11 Jon Ciesla 2014-02-20 08:44:56 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.